Updates the user_planning_slot_type with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
user_planning_slot_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| name |
Name of the user planning slot type. |
string |
Required Max length: 50 |
| background_color |
User can select amongst any color. |
string |
Max length: 7 |
| sales_organization_id |
Organization on which belongs the user planning slot type |
globally unique identifier |
Required |
| is_support |
To specify if this slot inform the user he is "on call" during that period. |
boolean | |
| show_on_user_job_list |
to specify if need to be shown on wo list. |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "12994b36-f0b7-4142-9d6f-6fbcd0e92268",
"name": "sample string 2",
"background_color": "sample ",
"sales_organization_id": "98634623-c511-46ee-bde0-80432f0560bf",
"is_support": true,
"show_on_user_job_list": true,
"modified_dateutc": "2026-02-24T16:13:37.8813662+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.